# $Revision: 1.5 $, $Date: 2010/06/02 11:07:36 $
Summary:	Linux SysRq over network daemon
Name:		sysrqd
Version:	13
Release:	2
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://julien.danjou.info/sysrqd/%{name}-%{version}.tar.xz
# Source0-md5:	0d7b17acc32679aba16d19f140e04f39
Source1:	%{name}.init
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sysrqd is a small daemon intended to manage Linux SysRq over network.
Its philosophy is to be very responsive under heavy load and try to be
somehow reliable. Authentication is made by clear password.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sysrqd

:> $RPM_BUILD_ROOT%{_sysconfdir}/sysrqd.secret
echo 0.0.0.0 > $RPM_BUILD_ROOT%{_sysconfdir}/sysrqd.bind

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add sysrqd
%service sysrqd restart "sysrqd daemon"

%preun
if [ "$1" = "0" ]; then
	%service sysrqd stop
	/sbin/chkconfig --del sysrqd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README
%attr(755,root,root) %{_sbindir}/sysrqd
%attr(754,root,root) /etc/rc.d/init.d/sysrqd
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sysrqd.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysrqd.spec,v $
Revision 1.5  2010/06/02 11:07:36  glen
- xz binary as well

Revision 1.4  2010/06/02 09:58:36  glen
- tar 1.22 for .xz

Revision 1.3  2010/06/01 10:20:54  glen
- release 2

Revision 1.2  2010/06/01 10:20:32  glen
- pass cflags, invalid use of init.d dir

Revision 1.1  2010/05/28 22:29:09  arekm
- initial
